import { query } from "../../../sqlServer/prodSqlServer.js";
import { alplaStock } from "../../../sqlServer/querys/ocme/alplaStockInvByID.js";

export const alplaStockInv = async (laneID: string) => {
    /**
     * We will get the stock data based on the lane id passed over
     */

    const stock = alplaStock.replaceAll("[laneID]", `${laneID}`);

    try {
        const stockData: any = await query(stock, "Stock Data");
        return stockData.data;
    } catch (error) {
        console.log(error);
        return [];
    }
};
